API Documentation
Interface Conventions
All interface routes carry versions.
To avoid significant impact on upstream and downstream partners, interfaces within the current version, once released, strive to avoid changes and pursue stability in parameter names, parameter types, and request routing.
Basic Information
Partner APIs support RESTful requests and Websocket connections. RESTful request parameters are passed in JSON format.
Development environment BaseURL: https://cedefi.lorenzo-dev.xyz
The universal return format is JSON.
Access Control
Authentication
Each interface has its own independent authentication type. Authentication is not required by default.
Authentication fields include: IP address, API key, secret signature, whilelistlist, etc.
Rate limit
RESTful requests can be rate limited. E.g., no more than 5 requests per second for each IP address .
Websocket connection can also pose subscription limits and communication frequency limits.
Interface Description
/partner/v1/vault/listFunction description
GET request;
This interface can obtain all currently running vaults.
Request parameters: None
Return value
Field name
Field description
Remarks
addressVault address
vaultTypeVault type
Such as
simple/composed/link, etc
/partner/v1/vault/allFunction description
GET request;
This interface returns a list of all vaults on the platform.
Request parameters: None
Return value
Field name
Field description
Remarks
addressVault address
vaultTypeVault type
Such as
simple/composed/link, etcstatusVault status
working: running;stop: permanent stop;pause: pause;
/partner/v1/vault/basicFunction description
Get request;
The interface obtains the current basic information of the vault based on the vault address:
unitNAV,PnL,APR7d,APR30d,Chainsdistributed、symbol、userAmount、TVL、underlyingRequest parameters
Return value
Field name
Field description
Remarks
addressVault contract address
unitNAVNet worth of funds
PnLYield value
APR7d7-Day yield
APR30d30-Day yield
ChainsChain deployed on by vault
Ethereum, BSC, etc.
SymbolAsset symbol
enzoBTC, finBTC, etc.
userAmountCurrent number of participants
TVLCurrent Total Value Locked
Unit: currency standard
underlyingUnderlying assets of the vault
BTC, ETH, etc.
/partner/v1/vault/freeze/listFunction description
GET request;
This interface queries the current vault's blacklist and frozen asset list based on the vault address.
If the returned list is empty, then nothing has been blacklisted or frozen.
Request parameters
Return value (as list element)
Field name
Field description
Remarks
UserAddrAddress of the blacklisted user
AmountAmount of frozen asset
Value is after dividing 10^18
AssetAddrToken address of the frozen asset
FreezeTimeThe most recent frozen time
UTC timestamp; The same asset of a user can be frozen multiple times
ChainChain deployed on by vault
Ethereum, BSC, etc.
SymbolAsset symbol
enzoBTC, finBTC, etc.
/partner/v1/vault/performanceFunction description
GET request;
This interface obtains the past performance of the vault based on its vault address:
unitNAV,PnL,Symbol,APR7d,APR30d,StartTime,EndTime,TVL.Request parameters
Return value
Field name
Field description
Remarks
unitNAVNet worth of funds
PnLYield value
APR7d7-Day yield
APR30d30-Day yield
SymbolAsset symbol
enzoBTC, finBTC, etc.
StartTimeStart time
Timestamp
EndTimeEnd time
Timestamp
TVLTotal Value Locked
Currency standard
/partner/v1/vault/porFunction description
GET request;
This interface obtains the proof of reserve information corresponding to the vault address.
Request parameters
Return value
Field name
Field description
Remarks
methodProof of reserve method id
1: Balance snapshot;
2: merkel tree
3: zk-snark
4: Third-party centralized audit ...
contentContent of proof of reserve certificate
String content or download link
/partner/v1/InitOrUpdateFunction description
POST request;
Update a partner's information if the partner's name exists; otherwise, create a new partner and populate necessary information.
Mostly used for onboarding trading partners, e.g., quantitative trading teams.
Request parameters
Field name
Field description
Remarks
NameName of the partner
Needs to be globally unique
StyleStyle of the partner
Balance, growth, etc.
LogoURL of the partner's logo
AssetClassAsset class
CategoryAsset catalog
Last updated